curl -X DELETE "https://api.foxreach.io/api/v1/templates/ctm_abc123" \
-H "X-API-Key: otr_your_key"
from foxreach import FoxReach
client = FoxReach(api_key="otr_your_key")
result = client.templates.delete("tpl_abc123")
import { FoxReach } from "foxreach";
const client = new FoxReach({ apiKey: "otr_your_key" });
const result = await client.templates.delete("tpl_abc123");
{
"data": {
"id": "ctm_abc123",
"deleted": true
}
}
Templates
Delete Template
Delete a template from your workspace.
DELETE
/
api
/
v1
/
templates
/
{template_id}
curl -X DELETE "https://api.foxreach.io/api/v1/templates/ctm_abc123" \
-H "X-API-Key: otr_your_key"
from foxreach import FoxReach
client = FoxReach(api_key="otr_your_key")
result = client.templates.delete("tpl_abc123")
import { FoxReach } from "foxreach";
const client = new FoxReach({ apiKey: "otr_your_key" });
const result = await client.templates.delete("tpl_abc123");
{
"data": {
"id": "ctm_abc123",
"deleted": true
}
}
Path Parameters
string
required
The unique identifier of the template to delete.
curl -X DELETE "https://api.foxreach.io/api/v1/templates/ctm_abc123" \
-H "X-API-Key: otr_your_key"
from foxreach import FoxReach
client = FoxReach(api_key="otr_your_key")
result = client.templates.delete("tpl_abc123")
import { FoxReach } from "foxreach";
const client = new FoxReach({ apiKey: "otr_your_key" });
const result = await client.templates.delete("tpl_abc123");
{
"data": {
"id": "ctm_abc123",
"deleted": true
}
}
Errors
| Status | Description |
|---|---|
404 | Template not found |
Rate Limit
- 100 requests per minute, per API key. Fixed 60-second window.
- Every response includes
X-RateLimit-Limit,X-RateLimit-Remaining, andX-RateLimit-Reset(unix epoch seconds). - A
429response includes aRetry-Afterheader (seconds until the bucket resets).
Retry-After, exponential backoff, monitoring X-RateLimit-Remaining), see Rate Limiting.